Subject: Re: [PATCH] http.proxy: also mention https_proxy and all_proxy

From: Clemens Buchacher <[email-masked]>
Date: Sun, 4 Mar 2012 13:46:28 +0100

On Sat, Mar 03, 2012 at 02:22:39PM -0800, Junio C Hamano wrote:
> 
> As to the way forward, I suspect that http.proxy was a mistake to begin
> with, considering the structure of namespace our configuration variables
> fit in.  Shouldn't they be proxy.http, proxy.https, etc.?

I actually prefer the current behavior, which is to configure only one
proxy for all protocols. I have not seen a setup where HTTP and HTTPS
are routed through different proxies before. But if this is really
needed, one has the option to use the environment variable, or
remote.<name>.proxy.

I suggest instead that we map curl's CURLOPT_PROXY to core.proxy.  That
would also fit well with the remote.<name>.proxy scheme.